<script>
    export let sessions = [];
    export let connected = false;

    const webSocket = new WebSocket('wss://venus.emergencyx.de/websocket');
    webSocket.onopen = () => {
        connected = true;
    };
    webSocket.onmessage = (message) => {
        sessions = JSON.parse(message.data);
    };
    webSocket.onerror = (reason) => {
        connected = false;
        console.log(reason);
    };
    webSocket.onclose = (reason) => {
        connected = false;
        console.log(reason);
    };
</script>

{#if connected}
    <p><i class="fas fa-heartbeat" aria-hidden="true"></i> Verbunden - der Browser wird in Echtzeit aktualisiert</p>
{/if}

<div class="table-responsive">
    <table class="table table-striped">
        <thead>
        <tr>
            <th>Servername</th>
            <th>Spieler</th>
            <th>Mod</th>
            <th>Land</th>
            <th>Plätze</th>
            <th><i class="fas fa-globe" aria-hidden="true"></i></th>
            <th><i class="fas fa-broadcast-tower" aria-hidden="true"></i></th>
        </tr>
        </thead>
        <tbody>
        {#each sessions as session}
            <tr>
                <td>
                {#if session.password}
                    <i class="fas fa-lock" aria-hidden="true"></i>
                {/if}
                {#if session.started}
                    <i class="fas fa-play" aria-hidden="true"></i>
                {/if}
                    { session.name }
                </td>
                <td>{ session.players.join(', ') }</td>
                <td>{ session.mod }</td>
                <td>{ session.nation }</td>
                <td>{ session.numpl } / { session.maxpl }</td>
                <td>
                {#if session.connectivity}
                    <i class="fas fa-check" aria-hidden="true"></i>
                {/if}
                </td>
                <td>
                {#if session.modem}
                    <i class="fas fa-check" aria-hidden="true"></i>
                {/if}
                </td>
            </tr> 
        {/each}
        </tbody>
    </table>
</div>

<ul class="list-inline">
    <li class="list-inline-item"><i class="fas fa-lock fa-fw" aria-hidden="true"></i> Dieses Spiel erfordert ein Passwort</li>
    <li class="list-inline-item"><i class="fas fa-play fa-fw" aria-hidden="true"></i> Dieses Spiel ist bereits gestartet</li>
    <li class="list-inline-item"><i class="fas fa-globe fa-fw" aria-hidden="true"></i> Port Forwarding für dieses Spiel ist korrekt konfiguriert</li>
    <li class="list-inline-item"><i class="fas fa-broadcast-tower fa-fw" aria-hidden="true"></i> Spiel verfügbar über EmergencyX Modem</li>
</ul>
